"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = __importStar(require("./index"));
const run = () => __awaiter(void 0, void 0, void 0, function* () {
    const automizer = new index_1.default({
        templateDir: `${__dirname}/../__tests__/pptx-templates`,
        outputDir: `${__dirname}/../__tests__/pptx-output`,
    });
    const tableData = {
        body: [
            { values: ['top left', 123, 345, 'subsub3-1', 'subsub3-2', 'Last'] },
            { values: [undefined, 't1', 't2', 't3', 't3', ''] },
            { values: ['label 0', 1, 2, 3, 3, 'l0'] },
            { values: ['label 1', 123, 345, 4563, 4671, 'l1'] },
            { values: ['label 2', 123, 345, 4562, 4672] },
            { values: ['label 3', 123, 345, 4561, 4673, 'l3'] },
            { values: [undefined, 'Foo', 'ter', 4564, 4674, ''] },
        ],
    };
    automizer
        .loadRoot(`RootTemplate.pptx`)
        .load(`NestedTables.pptx`, 'tables')
        .addSlide('tables', 4, (slide) => {
        slide.modifyElement('NestedTable3', index_1.modify.setTable(tableData, {
            adjustHeight: false,
            adjustWidth: false,
            expand: [
                {
                    mode: 'row',
                    tag: '{{each:row}}',
                    count: 3,
                },
                {
                    mode: 'column',
                    tag: '{{each:subSub3}}',
                    count: 1,
                },
            ],
        }));
    })
        .write(`dev.pptx`)
        .then((summary) => {
        console.log(summary);
    });
});
run().catch((error) => {
    console.error(error);
});
//# sourceMappingURL=dev.js.map